#!/cs/local/bin/ruby
require "English"

#============================================================================
# MAIN
#============================================================================
if ARGV.length < 3
        puts "Usage: ruby foreach_file.rb <command_before_filename> <regexp_for_filename> <command_after_filename>  <test>\n"+
         "If <test> is not empty, then only output the commands.\n" +
         "Examples: ruby foreach_file.rb 'rm -f' '\\.e\\d+\\.' ''"
        exit -1
end

#=== Read inputs.
cmd_before = ARGV[0]
regexp = ARGV[1]
cmd_after = ARGV[2]
test = false
test = true if ARGV.length > 3 

Dir.entries(".").map{|filename| 
	if filename =~ /#{regexp}/
		cmd = "#{cmd_before} #{filename} #{cmd_after}"
		if test
			puts cmd
		else
			system cmd
		end
	end
}
