#Methods that are used in multiple scripts.

def runalgo(algo, algorun_cmd, algo_config_id, numRuns)
    algo_output_file = "tmp#{rand}"
    
    if algo == "saps"
        algorun_cmd = "#{algorun_cmd} -runs #{numRuns} > #{algo_output_file}"
        puts "  Calling #{algorun_cmd}"
        system algorun_cmd

        require "ubcsat_reader.rb"
        readUbcsatAndWriteToDB(algo_output_file, algo_config_id, algorun_cmd)
        File.delete(algo_output_file)
    else 
        puts "No other algo than SAPS implemented yet."
    end
end
