infilename = ARGV[0]

res = File.open("res_" + infilename, "w")
File.open(infilename){|infile|
	File.open("fixed_" + infilename, "w"){|out|
	
		#=== "Declare" variables - stupid that I have to do that in ruby...
		cputime = -1
		eval_count = -1
		best_obj = -1
		best_param1 = -1
		best_param2 = -1
		best_param3 = -1
		best_param4 = -1
		best_param5 = -1

		first_run = true
		#=== Read everything to first run.
		while line = infile.gets
			if line =~ /Run/
				#=== For all but first run, output solution found in the end of the last run.
				out.puts "#{cputime}, #{best_obj}, #{eval_count}, 0, 0, #{best_param1}, #{best_param2}, #{best_param3}, #{best_param4}, #{best_param5}" unless first_run
				res.puts "#{cputime}, #{best_obj}, #{eval_count}, 0, 0, #{best_param1}, #{best_param2}, #{best_param3}, #{best_param4}, #{best_param5}" unless first_run
				first_run = false

				out.puts line
				res.puts line
				
				cputime = 0
				eval_count = 0

				#=== Read first one.
				line = infile.gets
				runtime, best_obj, param1, param2, param3, param4, param5 = line.split(",").map{|x|x.strip}
				cputime += runtime.to_f
				eval_count += 1
				
				#=== Output first one
				out.puts "#{cputime}, #{best_obj}, #{eval_count}, 0, 0, #{param1}, #{param2}, #{param3}, #{param4}, #{param5}"
				params = [param1, param2, param3, param4, param5]
				seen_states = [params.to_s]
			elsif line =~ /.*,.*,.*,.*,.*,.*,.*/
				#=== Read later one.
				runtime, obj, param1, param2, param3, param4, param5 =line.split(",")
				params = [param1, param2, param3, param4, param5]
				unless seen_states.include?(params.to_s)
					cputime += runtime.to_f
					seen_states << params.to_s
					eval_count += 1
				end
				if obj.to_f < best_obj.to_f
					best_obj = obj
					best_param1 = param1
					best_param2 = param2
					best_param3 = param3
					best_param4 = param4
					best_param5 = param5
					out.puts "#{cputime}, #{best_obj}, #{eval_count}, 0, 0, #{param1}, #{param2}, #{param3}, #{param4}, #{param5}"
				end
			end
		end
		out.puts "#{cputime}, #{best_obj}, #{eval_count}, 0, 0, #{param1}, #{param2}, #{param3}, #{param4}, #{param5}"
		res.puts "#{cputime}, #{best_obj}, #{eval_count}, 0, 0, #{param1}, #{param2}, #{param3}, #{param4}, #{param5}"
	}	
}
res.flush
res.close